com.corticon.service.ccserver.exception

## Class CcServerInvalidDecisionServiceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.corticon.CcException
      - - com.corticon.service.ccserver.exception.CcServerException
        - - com.corticon.service.ccserver.exception.CcServerInvalidDecisionServiceException

- All Implemented Interfaces:
    ICcException, java.io.Serializable

      public class CcServerInvalidDecisionServiceException
      extends CcServerException
      implements java.io.Serializable

  `CcServerInvalidDecisionServiceException` is thrown if there is an attempt to load a Decision Service file that is not in a deployable state. There can be many reasons for this. For example if the .class files are missing, or the .ccd file is missing, or the .cce file is missing, etc. This exception is also thrown if there is a version number mismatch between the Decision Service pool being reloaded and the RuleAsset (Ruleflow .erf or pre-compiled .eds file) used to reload it.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.corticon.CcException

      `iparentException, istrCallingObjectClassName, istrCallingObjectToString`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CcServerInvalidDecisionServiceException()`
    `CcServerInvalidDecisionServiceException(java.lang.Exception aparentException, java.lang.Object aobject)`
    `CcServerInvalidDecisionServiceException(java.lang.Exception aparentException, java.lang.String astrMessage)`
    `CcServerInvalidDecisionServiceException(java.lang.Exception aparentException, java.lang.String astrMessage, java.lang.Object aobject)`
    `CcServerInvalidDecisionServiceException(java.lang.String astrMessage)`
    `CcServerInvalidDecisionServiceException(java.lang.String astrMessage, java.lang.Object aobject)`

  - ### Method Summary

    - ### Methods inherited from class com.corticon.CcException

      `getContainedException, getMessages, getStackTraceAsString, main, printStackTrace, printStackTrace, printStackTrace, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CcServerInvalidDecisionServiceException

          public CcServerInvalidDecisionServiceException()

    - #### CcServerInvalidDecisionServiceException

          public CcServerInvalidDecisionServiceException(java.lang.String astrMessage)

    - #### CcServerInvalidDecisionServiceException

          public CcServerInvalidDecisionServiceException(java.lang.String astrMessage,
                                                 java.lang.Object aobject)

    - #### CcServerInvalidDecisionServiceException

          public CcServerInvalidDecisionServiceException(java.lang.Exception aparentException,
                                                 java.lang.String astrMessage)

    - #### CcServerInvalidDecisionServiceException

          public CcServerInvalidDecisionServiceException(java.lang.Exception aparentException,
                                                 java.lang.Object aobject)

    - #### CcServerInvalidDecisionServiceException

          public CcServerInvalidDecisionServiceException(java.lang.Exception aparentException,
                                                 java.lang.String astrMessage,
                                                 java.lang.Object aobject)

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.